Package Details: fatrace 0.15-1

Git Clone URL: https://aur.archlinux.org/fatrace.git (read-only, click to copy)
Package Base: fatrace
Description: Reports file access events from all running processes.
Upstream URL: https://launchpad.net/fatrace
Licenses: GPL
Submitter: fphillips
Maintainer: Markus00000
Last Packager: Markus00000
Votes: 29
Popularity: 0.95
First Submitted: 2012-02-09 07:56
Last Updated: 2020-05-29 11:33

Latest Comments

1 2 Next › Last »

Markus00000 commented on 2020-05-29 11:33

@matorola Done. Thank you!

matorola commented on 2020-05-28 13:27

rpi 1 , archlinux installed:

Linux alarmpi 5.4.42-1-ARCH #1 SMP PREEMPT Tue May 26 01:50:19 UTC 2020 armv6l GNU/Linux

fatrace compiled from sources works "out of the box".

Can you please enable it for "armv6l" arch ? Thanks

Apr 25 02:54:19 alarmpi kernel: Linux version 5.4.42-1-ARCH (builduser@leming) (gcc version 9.3.0 (GCC)) #1 SMP PREEMPT Tue May 26 01:50:19 UTC 2020
Apr 25 02:54:19 alarmpi kernel: CPU: ARMv6-compatible processor [410fb767] revision 7 (ARMv7), cr=00c5387d
Apr 25 02:54:19 alarmpi kernel: OF: fdt: Machine model: Raspberry Pi Model B Rev 2

Markus00000 commented on 2020-04-16 09:10

@Anty0 Thanks! Done.

Anty0 commented on 2020-04-14 10:33

Could it be possible to add aarch64 architecture?

I can confirm the package builds succesfully and seems to be working properly.

(Might also work on other arm architectures.)

troyengel commented on 2017-05-19 14:28

Hi all - just reported this upstream: https://bugs.launchpad.net/fatrace/+bug/1692034

blinx commented on 2016-04-28 10:23

@monochromec thank you! (@Markus00000 too) finally got it working on my rpi

Markus00000 commented on 2016-04-17 18:45

@monochromec What do you think about reporting this upstream?

monochromec commented on 2016-04-16 15:23

KERNEL_O_LARGEFILE breaks program on armv5 running kernel 4.4.1.1 with "invalid argument" error. Changing this back to O_LARGEFILE apparently works.

Here the patch (admittingly a bit of a hack): https://ptpb.pw/GeJa

As the tool also works on at least armv5 and armv7, here's the modified PKGBUILD: https://ptpb.pw/uVdT

Markus00000 commented on 2016-03-11 14:18

@willemw Thanks and fixed.

willemw commented on 2016-03-11 10:36

"arch" should be "arch=('i686' 'x86_64')"